%global version 25.1.4

Name:       mesa-freeworld-metapackage
Version:    %version
Release:    1%{?dist}
Summary:    metapackage for RPM Fusion mesa drivers 
License:    MIT
BuildArch:  noarch

Requires: mesa-va-drivers-freeworld = %version
Requires: mesa-vdpau-drivers-freeworld = %version

Conflicts: mesa-dri-drivers < %version
Conflicts: mesa-dri-drivers > %version
Conflicts: mesa-filesystem < %version
Conflicts: mesa-filesystem > %version
Conflicts: mesa-libEGL < %version
Conflicts: mesa-libEGL > %version
Conflicts: mesa-libGL < %version
Conflicts: mesa-libGL > %version
Conflicts: mesa-libOpenCL < %version
Conflicts: mesa-libOpenCL > %version
Conflicts: mesa-libgbm < %version
Conflicts: mesa-libgbm > %version
Conflicts: mesa-libglapi < %version
Conflicts: mesa-libglapi > %version
Conflicts: mesa-libxatracker < %version
Conflicts: mesa-libxatracker > %version
Conflicts: mesa-vulkan-drivers < %version
Conflicts: mesa-vulkan-drivers > %version
Conflicts: mesa-libOSMesa < %version
Conflicts: mesa-libOSMesa > %version
Conflicts: mesa-libd3d < %version
Conflicts: mesa-libd3d > %version
Conflicts: mesa-omx-drivers < %version
Conflicts: mesa-omx-drivers > %version
Conflicts: mesa-va-drivers
Conflicts: mesa-vdpau-drivers

%description
Depends on mesa-va-drivers-freeworld and mesa-vdpau-drivers-freeworld %version.
It tries to prevent all partial mesa-updates caused by RPM Fusion being out of sync.

%prep
# nothing
%build
# nothing
%install
# nothing
%files
# nothing

%changelog
* Thu Jul 03 2025 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 25.1.4

* Fri Jun 06 2025 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 25.0.7

* Sat May 24 2025 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 25.0.6

* Mon Apr 28 2025 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 25.0.4

* Sa Apr 22 2025 blued_gear <chocolatecakecodes@disroot.org>
- init for fedora 42
